import request from "@/request"

// 订单分页
export const orderApi = (data) => {
	return request.get({
		url: '/api/order/page',
		data: data,
	})
}
// 取消订单
export const cancelOrder = (data) => {
	return request.post({
		url: '/api/order/cancelOrder',
		data: data,
	})
}
// 取消申请售后
export const cancelAftermarketOrder = (data) => {
	return request.post({
		url: '/api/order/cancelAftermarket',
		data: data,
	})
}
// 申请售后
export const aftermarketOrder = (data) => {
	return request.post({
		url: '/api/order/aftermarket',
		data: data,
	})
}
// 修改订单
export const updateOrder = (data) => {
	return request.post({
		url: '/api/order/updateOrder',
		data: data,
	})
}
// 确认验收
export const checkOrder = (data) => {
	return request.post({
		url: '/api/order/checkOrder',
		data: data,
	})
}
// 订单分页
export const getOrderListPage = (data) => {
	return request.get({
		url: '/api/order/page',
		data: data,
	})
}
// 订单详情
export const getOrderDetail = (data) => {
	return request.get({
		url: '/api/order/getById',
		data: data,
	})
}